
{src/web/method/cgidefs.i}

/* World's Simplest WebSpeed XML Document Handler.
   Check If The Input Is XML And If It Is, Rewrite It Back
   To The Browser Using The WEBSTREAM. Mostly this
   is meant as a debugging tool. */

DEFINE VARIABLE XMLDocHandle AS HANDLE NO-UNDO.
DEFINE VARIABLE XMLSaveDirectory AS CHARACTER INITIAL "/protmp".

IF WEB-CONTEXT:IS-XML THEN DO:

   CREATE X-DOCUMENT XMLDocHandle.
   XMLDocHandle = WEB-CONTEXT:X-DOCUMENT.
   
   /* Re-write the doc to the browser */
   
   XMLDocHandle:SAVE("stream", "webstream").
   
   /* Save the Document in a predefined area on the server */                                    
   
   XMLDocHandle:SAVE("file",XMLSaveDirectory + "/xml" + STRING(TODAY) + STRING(TIME,"hhmmss")).
   
   DELETE OBJECT XMLDocHandle.
    
END. /* XML Document */

                                                             
ELSE DO:

   output-content-type("text/html").
   {&out} "<I> Content of post was not XML </I>".
   
END. /* Non-XML document */



